Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.typeinfo
Class JField

    java.lang.Object
      com.google.gwt.core.ext.typeinfo.JField

All Implemented Interfaces:
  HasMetaData

    public class JField

extends java.lang.Object
implements HasMetaData

Represents a field declaration.

Constructor Summary
`JField(JClassType enclosingType, java.lang.String name)`

Method Summary
`void` | `addMetaData(java.lang.String tagName, java.lang.String[] values)` Adds additional metadata.
`void` | `addModifierBits(int modifierBits)`
`JClassType` | `getEnclosingType()`
`java.lang.String[][]` | `getMetaData(java.lang.String tagName)` Gets each list of metadata for the specified tag name.
`java.lang.String[]` | `getMetaDataTags()` Gets the name of available metadata tags.
`java.lang.String` | `getName()`
`JType` | `getType()`
`boolean` | `isDefaultAccess()`
`boolean` | `isFinal()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`boolean` | `isStatic()`
`boolean` | `isTransient()`
`boolean` | `isVolatile()`
`void` | `setType(JType type)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JField

    public JField(JClassType enclosingType,
                  java.lang.String name)

Method Detail

### addMetaData

    public void addMetaData(java.lang.String tagName,
                            java.lang.String[] values)

  Description copied from interface: `HasMetaData`
  Adds additional metadata.

  Specified by:
    `addMetaData` in interface `HasMetaData`

### addModifierBits

    public void addModifierBits(int modifierBits)

### getEnclosingType

    public JClassType getEnclosingType()

### getMetaData

    public java.lang.String[][] getMetaData(java.lang.String tagName)

  Description copied from interface: `HasMetaData`
  Gets each list of metadata for the specified tag name.

  Specified by:
    `getMetaData` in interface `HasMetaData`

### getMetaDataTags

    public java.lang.String[] getMetaDataTags()

  Description copied from interface: `HasMetaData`
  Gets the name of available metadata tags.

  Specified by:
    `getMetaDataTags` in interface `HasMetaData`

### getName

    public java.lang.String getName()

### getType

    public JType getType()

### isDefaultAccess

    public boolean isDefaultAccess()

### isFinal

    public boolean isFinal()

### isPrivate

    public boolean isPrivate()

### isProtected

    public boolean isProtected()

### isPublic

    public boolean isPublic()

### isStatic

    public boolean isStatic()

### isTransient

    public boolean isTransient()

### isVolatile

    public boolean isVolatile()

### setType

    public void setType(JType type)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD